<?php
/**
 * Template for displaying content of Recent Courses widget.
 *
 * This template can be overridden by copying it to yourtheme/learnpress/widgets/recent-courses/default.php.
 *
 * @author  ThimPress
 * @category Widgets
 * @package  Learnpress/Templates
 * @version  3.0.0
 */

/**
 * Prevent loading this file directly
 */
defined( 'ABSPATH' ) || exit();

/**
 * Prevent loading this file directly
 */
defined( 'ABSPATH' ) || exit();

if ( ! isset( $courses ) ) {
	esc_html_e( 'No courses', 'hoverex-corporate');

	return;
}

global $post;
//widget instance
$instance = $this->instance;
?>

<div class="archive-course-widget-outer <?php esc_attr_e( '$instance["css_class"]','hoverex-corporate'); ?>">

    <div class="widget-body">
        <div class="columns_wrap"><?php
            foreach ( $courses as $course_id ) {

			$post = get_post( $course_id );
			setup_postdata( $post );
			$course = learn_press_get_course( $course_id );

			?><div class="course-entry column-1_<?php echo count($courses);?>">

                <div class="item">

                <!-- course thumbnail -->
				<?php if ( ! empty( $instance['show_thumbnail'] ) && $image = $course->get_image( 'hoverex-thumb-magazine-modern-small' ) ) { ?>
                    <div class="course-cover img">
                        <a href="<?php esc_url(hoverex_show_layout($course->get_permalink())); ?>">
							<?php hoverex_show_layout($image); ?>
                        </a>
                        <!-- instructor -->
                        <?php if ( ! empty( $instance['show_teacher'] ) ) { ?>
                            <div class="course-meta-field"><?php hoverex_show_layout($course->get_instructor_html()); ?></div>
                        <?php } ?>
                    </div>
				<?php } ?>

                <div class="course-detail">
                    <!-- course title -->
                    <a href="<?php echo esc_url(get_the_permalink( $course->get_id()) ) ?>">
                        <h3 class="course-title"><?php hoverex_show_layout($course->get_title()); ?></h3>
                    </a>

                    <!-- course content -->
					<?php if ( ! empty( $instance['desc_length'] ) && ( $len = intval( $instance['desc_length'] ) ) > 0 ) { ?>
                        <div class="course-description">
							<?php hoverex_show_layout($course->get_content( 'raw', $len, __( '...', 'hoverex-corporate') )); ?></div>
					<?php } ?>

                    <div class="course-meta-data">
                        <!-- price -->
						<?php if ( ! empty( $instance['show_price'] ) ) { ?>
                            <div class="course-meta-field price"><?php hoverex_show_layout($course->get_price_html()); ?></div>
						<?php } ?>

                        <!-- number students -->
						<?php if ( ! empty( $instance['show_enrolled_students'] ) ) { ?>
                            <div class="course-student-number course-meta-field">
								<?php hoverex_show_layout($course->get_students_html()); ?>
                            </div>
						<?php } ?>

                        <!-- number lessons -->
						<?php if ( ! empty( $instance['show_lesson'] ) ) { ?>
                            <div class="course-lesson-number course-meta-field">
								<?php
								$lesson_count = $course->count_items( LP_LESSON_CPT );
                                hoverex_show_layout($lesson_count > 1 ? sprintf( esc_html__( '%d lessons', 'hoverex-corporate'), $lesson_count ) : sprintf( esc_html__( '%d lesson', 'hoverex-corporate'), $lesson_count )); ?>
                            </div>
						<?php } ?>


                    </div>
                </div>
            </div>
        </div><?php

            } ?></div></div>

	<?php wp_reset_postdata();?>

    <div class="widget-footer">
		<?php if ( ! empty( $instance['bottom_link_text'] ) && ( $page_id = learn_press_get_page_link( 'courses' ) ) ) {
			$text = $instance['bottom_link_text'] ? $instance['bottom_link_text'] : get_the_title( $page_id );
			?>
            <a class="pull-right" href="<?php echo esc_url( learn_press_get_page_link( 'courses' ) ); ?>">
				<?php echo wp_kses( $text, 'hoverex_kses_content' ); ?>
            </a>
		<?php } ?>
    </div>
</div>