<?php

// Theme init priorities:
// 9 - register other filters (for installer, etc.)
if (!function_exists('hoverex_cryptocurrency_rocket_tools_widget_theme_setup9')) {
	add_action( 'after_setup_theme', 'hoverex_cryptocurrency_rocket_tools_widget_theme_setup9', 9 );
	function hoverex_cryptocurrency_rocket_tools_widget_theme_setup9() {
		if (hoverex_exists_cryptocurrency_rocket_tools_widget()) {

		}
		if (is_admin()) {
			add_filter( 'hoverex_filter_tgmpa_required_plugins',		'hoverex_cryptocurrency_rocket_tools_widget_tgmpa_required_plugins' );
		}
	}
}
// Filter to add in the required plugins list
if ( !function_exists( 'hoverex_cryptocurrency_rocket_tools_widget_tgmpa_required_plugins' ) ) {
	function hoverex_cryptocurrency_rocket_tools_widget_tgmpa_required_plugins($list=array()) {
		if (hoverex_storage_isset('required_plugins', 'cryptocurrency-rocket-tools')) {
            $path = hoverex_get_file_dir('plugins/cryptocurrency-rocket-tools/cryptocurrency-rocket-tools.zip');
            if (!empty($path) || hoverex_get_theme_setting('tgmpa_upload')) {
                $list[] = array(
                    'name' => hoverex_storage_get_array('required_plugins', 'cryptocurrency-rocket-tools'),
                    'slug' => 'cryptocurrency-rocket-tools',
                    'source'	=> !empty($path) ? $path : 'upload://cryptocurrency-rocket-tools.zip',
                    'required' => false
                );
            }
		}
		return $list;
	}
}

// Check if plugin installed and activated
if ( !function_exists( 'hoverex_exists_cryptocurrency_rocket_tools_widget' ) ) {
	function hoverex_exists_cryptocurrency_rocket_tools_widget() {
		return defined('CRTOOLS_URL');
	}
}

add_action( 'wp_print_footer_scripts', 'hoverex_bootstrap_del', 0 );
function hoverex_bootstrap_del(){
	wp_dequeue_style('datatables-css-bootstrap-3');
	
}

// Disable Cryptocurrency Rocket tools plugin updates
if ( !function_exists( 'hoverex_cryptocurrency_rocket_tools_plugin_updates' ) ) {
	add_filter('site_transient_update_plugins', 'hoverex_cryptocurrency_rocket_tools_plugin_updates');
	function hoverex_cryptocurrency_rocket_tools_plugin_updates($value) {
		if (isset($value->response['cryptocurrency-rocket-tools/cryptocurrency-rocket-tools.php'])) {
			unset($value->response['cryptocurrency-rocket-tools/cryptocurrency-rocket-tools.php']);
		}
		return $value;
	}
}

// Set plugin's specific importer options
if ( !function_exists( 'hoverex_cryptocurrency_price_ticker_widget_importer_set_options' ) ) {
    if (is_admin()) add_filter( 'trx_addons_filter_importer_options',    'hoverex_cryptocurrency_price_ticker_widget_importer_set_options' );
    function hoverex_cryptocurrency_price_ticker_widget_importer_set_options($options=array()) {   
        if ( hoverex_exists_cryptocurrency_rocket_tools_widget() && in_array('cryptocurrency-rocket-tools', $options['required_plugins']) ) {
            $options['additional_options'][]    = 'crtools_redux';                    // Add slugs to export options for this plugin
        }
        return $options;
    }
}

?>
