<?php
/* Instagram Feed support functions
------------------------------------------------------------------------------- */

// Theme init priorities:
// 9 - register other filters (for installer, etc.)
if (!function_exists('hoverex_instagram_feed_theme_setup9')) {
	add_action( 'after_setup_theme', 'hoverex_instagram_feed_theme_setup9', 9 );
	function hoverex_instagram_feed_theme_setup9() {
		if (is_admin()) {
			add_filter( 'hoverex_filter_tgmpa_required_plugins',		'hoverex_instagram_feed_tgmpa_required_plugins' );
		}
	}
}

// Filter to add in the required plugins list
if ( !function_exists( 'hoverex_instagram_feed_tgmpa_required_plugins' ) ) {
	
	function hoverex_instagram_feed_tgmpa_required_plugins($list=array()) {
		if (hoverex_storage_isset('required_plugins', 'instagram-feed')) {
			$list[] = array(
					'name' 		=> hoverex_storage_get_array('required_plugins', 'instagram-feed'),
					'slug' 		=> 'instagram-feed',
					'required' 	=> false
				);
		}
		return $list;
	}
}

// Check if Instagram Feed installed and activated
if ( !function_exists( 'hoverex_exists_instagram_feed' ) ) {
	function hoverex_exists_instagram_feed() {
		return defined('SBIVER');
	}
}
?>