<?php
/* Revolution Slider support functions
------------------------------------------------------------------------------- */

// Theme init priorities:
// 9 - register other filters (for installer, etc.)
if (!function_exists('hoverex_revslider_theme_setup9')) {
	add_action( 'after_setup_theme', 'hoverex_revslider_theme_setup9', 9 );
	function hoverex_revslider_theme_setup9() {
		if (hoverex_exists_revslider()) {
			add_action( 'wp_enqueue_scripts', 					'hoverex_revslider_frontend_scripts', 1100 );
			add_filter( 'hoverex_filter_merge_styles',			'hoverex_revslider_merge_styles' );
		}
		if (is_admin()) {
			add_filter( 'hoverex_filter_tgmpa_required_plugins','hoverex_revslider_tgmpa_required_plugins' );
		}
	}
}

// Filter to add in the required plugins list
if ( !function_exists( 'hoverex_revslider_tgmpa_required_plugins' ) ) {
	
	function hoverex_revslider_tgmpa_required_plugins($list=array()) {
		if (hoverex_storage_isset('required_plugins', 'revslider')) {
			$path = hoverex_get_file_dir('plugins/revslider/revslider.zip');
			if (!empty($path) || hoverex_get_theme_setting('tgmpa_upload')) {
				$list[] = array(
					'name' 		=> hoverex_storage_get_array('required_plugins', 'revslider'),
					'slug' 		=> 'revslider',
					'version'	=> '6.6.12',
					'source'	=> !empty($path) ? $path : 'upload://revslider.zip',
					'required' 	=> false
				);
			}
		}
		return $list;
	}
}

// Check if RevSlider installed and activated
if ( !function_exists( 'hoverex_exists_revslider' ) ) {
	function hoverex_exists_revslider() {
		return function_exists('rev_slider_shortcode');
	}
}
	
// Enqueue custom styles
if ( !function_exists( 'hoverex_revslider_frontend_scripts' ) ) {
	
	function hoverex_revslider_frontend_scripts() {
		if (hoverex_is_on(hoverex_get_theme_option('debug_mode')) && hoverex_get_file_dir('plugins/revslider/revslider.css')!='')
			wp_enqueue_style( 'hoverex-revslider',  hoverex_get_file_url('plugins/revslider/revslider.css'), array(), null );
	}
}
	
// Merge custom styles
if ( !function_exists( 'hoverex_revslider_merge_styles' ) ) {
	
	function hoverex_revslider_merge_styles($list) {
		$list[] = 'plugins/revslider/revslider.css';
		return $list;
	}
}
?>